Skip to navigation

Tenants Delete

Preview
View as Markdown

Coming soon. Deletes a tenant created by the authenticated Provider app.

Required scope: private:agent_filesystem.tenants.manage

Endpoint format: RPC

Authentication: App

This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer

App-level OAuth 2.0 token (no user context). Use Authorization: Bearer <token>.

Obtain by calling the token endpoint with grant_type=client_credentials.

Only available on endpoints that declare app auth support.

Request

This endpoint expects an object.
tenantobjectRequired
Tenant to delete.
Variant:
agent_filesystem.TenantSelector.tenant_idobjectRequired
Selects the tenant by its Agent Filesystem ID.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response (no content)

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error